import React from 'react';
import clsx from 'clsx';
import styles from './styles.module.css';

const FeatureList = [
  {
    title: 'Mathematik',
    Svg: require('@site/static/img/niklas-birk-logo.svg').default,
    description: (
      <>
        Mathematik ist ...
      </>
    ),
  },
  {
    title: 'Informatik',
    Svg: require('@site/static/img/niklas-birk-logo.svg').default,
    description: (
      <>
        Informatik ist ...
      </>
    ),
  },
  {
    title: 'Programmierung',
    Svg: require('@site/static/img/niklas-birk-logo.svg').default,
    description: (
      <>
        Programmierung ist ...
      </>
    ),
  },
];

function Feature({Svg, title, description}) {
  return (
    <div className={clsx('col col--4')}>
      <div className="text--center">
        <Svg className={styles.featureSvg} role="img" />
      </div>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepageFeatures() {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
